
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.MySQL8Dialect
spring.jpa.hibernate.ddl-auto=create-drop

spring.jpa.hibernate.use-new-id-generator-mappings=true
spring.jpa.show-sql=true
spring.datasource.url=jdbc:mysql://localhost:3306/car_rental?useSSL=false&serverTimezone=UTC
spring.datasource.username=carrenter
spring.datasource.password=carrenter
spring.datasource.initialize=true

spring.sql.init.mode=always
server.port=8080

management.endpoints.jmx.exposure.include=health,info
management.endpoints.web.exposure.include=*
management.endpoints.web.exposure.exclude=env,beans
management.endpoints.web.discovery.enabled=true
management.endpoints.enabled-by-default=false
management.endpoint.info.enabled=true
management.endpoint.beans.enabled=true
management.endpoint.metrics.enabled=true
management.endpoint.metrics.loggers=true
management.endpoint.metrics.process.cpu.usage=true
management.endpoint.mappings.enabled=true
management.endpoint.health.show-details=always

spring.security.user.name=admin
spring.security.user.password=pa$$w0rd
spring.security.user.roles=manager
